## GntClipboard GntClipboard — A short-term text storage buffer |

## Functions

#define | GNTSEAL()
GType | gnt_clipboard_get_gtype ()
gchar * | gnt_clipboard_get_string ()
void | gnt_clipboard_set_string ()

## Types and Values

struct | GntClipboard

## Description

## Functions

### GNTSEAL()

    #define             GNTSEAL(ident)

### gnt_clipboard_get_gtype ()

    GType
    gnt_clipboard_get_gtype (void);

#### Returns

GType for GntClipboard.

### gnt_clipboard_get_string ()

    gchar *
    gnt_clipboard_get_string (GntClipboard *clip);

Get the current text from the clipboard.

#### Parameters

clip | The clipboard. |

#### Returns

A copy of the string in the clipboard. The caller should free the returned value.

### gnt_clipboard_set_string ()

    void
    gnt_clipboard_set_string (GntClipboard *clip,
                              const gchar *string);

Set the text in the clipboard.

#### Parameters

clip | The clipboard. |
string | New string for the clipboard. |

## Types and Values

### struct GntClipboard

    struct GntClipboard {
    	GObject inherit;
    	gchar *GNTSEAL(string);
    };

Access to any fields is deprecated. See inline comments for replacements.